Subject: milling Everdur

From: [email-masked] (Bathsheba Grossman)
Date: 21 Dec 1993 11:31:46 -0500

I find myself milling a lot of Everdur bronze lately, and am wondering
if there are any tricks to the stuff.  I know large shops keep separate
sets of cutters for brass, but don't know exactly what the difference is
or if I should be using them for this.  I'm using a 3/8" 2-flute end mill at
about 2000 rpm, and while it cuts fine, the tool seems to dull awfully
quickly.

-Sheba  	(100 lbs scrap and a Sherline.  B) )